package demo.mapi.ccv.eu.mapi_demo;

import eu.ccvlab.mapi.core.payment.Money;

/**
 * FlowData is the interface that allows business data to extract information from the view.
 * By using this interface, business code does not have a direct dependency on Android components.
 */
public interface FlowData {
    Money getAmount();
    boolean hasAmount();
    int getPort();
    int getCompatibilityPort();
    String getReceiptNumber();
    Integer getReferenceNumber();
    String getTransactionId();
}
